Subject: Re: bug#51240: [External] : bug#51240: 27.2; Binding find-library commands

From: Howard Melman <[email-masked]>
Date: Sat, 16 Oct 2021 21:16:32 -0400

On Oct 16, 2021, at 2:57 PM, Juri Linkov <[email-masked]> wrote:
> 
>> IMO, we should bind `find-library-other-window' to
>> `C-x 4 l' and `find-library-other-frame' to `C-x 5 l'.
> 
> Since other Emacs-Lisp specific keys are on the `C-h' key prefix
> like `C-h f' and `C-h S', a key to find an Emacs-Lisp library
> could find a place in the same `C-h' key prefix.

The other commands related to find-library are setup via
find-function-setup-keys.  The equivalents of find-library
are on C-x F, C-x K and C-x V and then on the C-x 4 and 
C-x 5 locations too.

> But I don't understand why it needs a new key - it already
> works fine with 'C-x 4 f' and 'C-x 5 f' when point is on
> the library name, then typing 'M-n' will get the library file.

I use this often if I want to visit a library regardless of what is
near point.  If I want to open embark (say because I just updated
it), I use C-x L and enter "embark" via completing-read.  
It's very convenient.

Howard